image: node:latest

cache:
  paths:
    - node_modules/

stages:
  - test
  - lint
  - format

install_dependencies:
  stage: .pre
  script:
    - npm ci

test:
  stage: test
  script:
    - npm test
  artifacts:
    reports:
      junit: junit.xml

lint:
  stage: lint
  script:
    - npx eslint .

format:
  stage: format
  script:
    - npx prettier --check .
